// AboutDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "AboutDlg.h"
#include ".\aboutdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


CAboutDlg::CAboutDlg(CWnd *pParent) : CDialog(CAboutDlg::IDD, pParent)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_WEBPAGE, m_linkTimewave);
	DDX_Control(pDX, IDC_WEBPAGE2, m_linkPawel);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)

END_MESSAGE_MAP()


BOOL CAboutDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  Add extra initialization here
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

// CHyperlink

IMPLEMENT_DYNAMIC(CHyperlink, CStatic)
CHyperlink::CHyperlink()
{
	LOGFONT	lf;
	memset(&lf, 0, sizeof(LOGFONT));       // zero out structure
	lf.lfHeight = 14;                      // request a 12-pixel-height font
	lf.lfUnderline = TRUE;
	strcpy(lf.lfFaceName, "Arial");        // request a face name "Arial"
	VERIFY(m_font.CreateFontIndirect(&lf));  // create the font

	//LoadCursor();
}

CHyperlink::~CHyperlink()
{
	m_font.DeleteObject();
}

BEGIN_MESSAGE_MAP(CHyperlink, CStatic)
	ON_WM_PAINT()
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONDOWN()
END_MESSAGE_MAP()

// CHyperlink message handlers


void CHyperlink::OnPaint()
{
	CPaintDC dc(this); // device context for painting

	CString sText;
	CRect rect;
    
	GetWindowText(sText);
	GetClientRect(rect);

	dc.SelectObject(m_font);
	dc.SetTextColor(GetSysColor(COLOR_HIGHLIGHT));
	dc.SetBkColor(GetSysColor(COLOR_3DFACE));
	dc.DrawText(sText, rect, DT_CENTER);
	// TODO: Add your message handler code here
	// Do not call CStatic::OnPaint() for painting messages
}

void CHyperlink::OnMouseMove(UINT nFlags, CPoint point)
{
	// TODO: Add your message handler code here and/or call default

	CStatic::OnMouseMove(nFlags, point);
}

void CHyperlink::OnLButtonDown(UINT nFlags, CPoint point)
{
	CString sText;
	GetWindowText(sText);
	ShellExecute(::GetDesktopWindow(), _T("open"), sText, _T(""), NULL, SW_SHOWNORMAL);

	CStatic::OnLButtonDown(nFlags, point);
}
