#pragma once
#include "afxwin.h"


// Setup dialog

#ifndef IDD_SETUP
#define IDD_SETUP	0
#endif

class CSetup : public CDialog
{
	DECLARE_DYNAMIC(CSetup)

public:
	CSetup(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSetup();

// Dialog Data
	enum { IDD = IDD_SETUP };
	CSliderCtrl	m_scAmp;
	CButton		m_buttonFilter;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
protected:
	virtual void OnOK();
public:
	afx_msg void OnBnClickedAbout();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

	// Frequency Shift Correction
	double m_fFSC;
	// Interleave Type
	BOOL m_radioInterleave;
	// Integration
	UINT m_nIntegration;
	// Bandwidth
	BOOL m_radioBandwidth;
	// Signal to Noise
	float m_fSNR;
	// Confidence
	float m_fConf;
	// Amplification
	float m_fAmp;
	 // Filter RX Integration
	bool m_bFilterRXInteg;

};
